---
title: "Brand invite CC email"
url: "https://docs.signnow.com/docs/cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite"
type: "endpoint"
section: "cc-email-branding"
slug: "cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite"
method: "PUT"
path: "/v2/brands/{brand_id}/resources/email-cc-invite"
operation_id: "put-v2-brands-brand_id-resources-email-cc-invite"
authorization: "bearer"
---

# Brand invite CC email

`PUT /v2/brands/{brand_id}/resources/email-cc-invite`

This endpoint allows users to add and edit branding for CC emails that are sent with invite emails.

Branding for invite CC emails is available for the following invite types:

* [Document field invite](/docs/document-field-invite/operations/post-field_invite)
* [Document group field invite](/docs/doc-group-field-invite/operations/invite-to-sign-document-group)
* [Document freeform invite](/docs/document-field-invite/operations/post-field_invite)
* [Document group freeform invite](/docs/doc-group-freeform-invite/operations/post-v2-document-groups-document_group_id-free-form-invites)

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "en": {
      "type": "object",
      "properties": {
        "from": {
          "type": "string",
          "maxLength": 300,
          "description": "Custom text indicating sender."
        },
        "subject": {
          "type": "string",
          "maxLength": 300,
          "description": "Email subject text. Placeholder `{sender_email}` is available."
        },
        "body_header": {
          "type": "string",
          "maxLength": 300,
          "description": "Email header text. Placeholder `{sender_email}` is available."
        },
        "ccd_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Custom CC message text. Placeholder `{cc_emails}` that lists other recipients of CC emails is available."
        },
        "body_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Email body text. Placeholders `{document_name}`, `{sender_email}`, and `{signer_email}` are available."
        },
        "footer_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Email footer message."
        }
      },
      "description": "Language of the email. Possible values: `en` for English, `es` for Spanish, and `fr` for French. You need to add translated texts. For more information, see [Language branding](/docs/guides-branding#language-branding)."
    }
  },
  "x-examples": {
    "Example 1": {
      "en": {
        "from": "From user ",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message EN"
      },
      "es": {
        "from": "From user",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message"
      },
      "fr": {
        "from": "From user",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message"
      }
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "en": {
    "from": "Sender Name",
    "subject": "{sender_email} has CC'd you on an invitation",
    "body_header": "{sender_email} has CC'd you on an invitation",
    "ccd_message": "You have been CC\u2019d on this invitation along with {cc_emails}.",
    "body_message": "{sender_email} has invited {signer_email} to review and sign: {document_name}.",
    "footer_message": "Unique Solutions Inc."
  },
  "es": {
    "from": "Nombre del remitente",
    "subject": "{sender_email} te ha puesto en copia en una invitaci\u00f3n",
    "body_header": "{sender_email} te ha puesto en copia en una invitaci\u00f3n",
    "ccd_message": "Se te ha copiado en esta invitaci\u00f3n junto con {cc_emails}.",
    "body_message": "{sender_email} ha invitado a {signer_email} a revisar y firmar: {document_name}.",
    "footer_message": "Unique Solutions Inc."
  },
  "fr": {
    "from": "Nom de l'exp\u00e9diteur",
    "subject": "{sender_email} vous a mis en copie d'une invitation",
    "body_header": "{sender_email} vous a mis en copie d'une invitation",
    "ccd_message": "Vous avez \u00e9t\u00e9 mis en copie de cette invitation avec {cc_emails}.",
    "body_message": "{sender_email} a invit\u00e9 {signer_email} \u00e0 examiner et signer: {document_name}.",
    "footer_message": "Unique Solutions Inc."
  }
}
```

## Responses

### 204

Success, no content

### 404

Brand with this `brand_id` doesn't exist

**Example** (`Example 1`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/brands/{brand_id}/resources/email-cc-invite" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"en": {"from": "Sender Name", "subject": "{sender_email} has CC'\''d you on an invitation", "body_header": "{sender_email} has CC'\''d you on an invitation", "ccd_message": "You have been CC\u2019d on this invitation along with {cc_emails}.", "body_message": "{sender_email} has invited {signer_email} to review and sign: {document_name}.", "footer_message": "Unique Solutions Inc."}, "es": {"from": "Nombre del remitente", "subject": "{sender_email} te ha puesto en copia en una invitaci\u00f3n", "body_header": "{sender_email} te ha puesto en copia en una invitaci\u00f3n", "ccd_message": "Se te ha copiado en esta invitaci\u00f3n junto con {cc_emails}.", "body_message": "{sender_email} ha invitado a {signer_email} a revisar y firmar: {document_name}.", "footer_message": "Unique Solutions Inc."}, "fr": {"from": "Nom de l'\''exp\u00e9diteur", "subject": "{sender_email} vous a mis en copie d'\''une invitation", "body_header": "{sender_email} vous a mis en copie d'\''une invitation", "ccd_message": "Vous avez \u00e9t\u00e9 mis en copie de cette invitation avec {cc_emails}.", "body_message": "{sender_email} a invit\u00e9 {signer_email} \u00e0 examiner et signer: {document_name}.", "footer_message": "Unique Solutions Inc."}}'
```

---
*Full reference: https://docs.signnow.com/docs/cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite*
